Bug 480169 - (CVE-2008-5844) CVE-2008-5844 php: change to the FILTER_UNSAFE_RAW in 5.2.7 breaks magic_quotes_gpc
CVE-2008-5844 php: change to the FILTER_UNSAFE_RAW in 5.2.7 breaks magic_quot...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20090105,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 10:26 EST by Tomas Hoger
Modified: 2009-01-23 11:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 11:48:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-01-15 10:26:42 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5844 to the following vulnerability:

PHP 5.2.7 contains an incorrect change to the FILTER_UNSAFE_RAW functionality,
and unintentionally disables magic_quotes_gpc regardless of the actual
magic_quotes_gpc setting, which might make it easier for context-dependent
attackers to conduct SQL injection attacks and unspecified other attacks.

References:
http://bugs.php.net/bug.php?id=42718
http://securitytracker.com/alerts/2008/Dec/1021393.html
http://www.php.net/releases/5_2_8.php
http://www.php.net/ChangeLog-5.php#5.2.8
Comment 1 Tomas Hoger 2009-01-23 11:48:05 EST
This issue is specific to PHP version 5.2.7.  It was introduced in the following commit:
http://cvs.php.net/viewvc.cgi/php-src/ext/filter/filter.c?r1=1.52.2.42&r2=1.52.2.43

The issue was noticed shortly after 5.2.7 release and reverted in:
http://cvs.php.net/viewvc.cgi/php-src/ext/filter/filter.c?r1=1.52.2.43&r2=1.52.2.44

PHP 5.2.7 was replaced by fixed 5.2.8:
http://www.php.net/archive/2008.php#id2008-12-07-1
http://www.php.net/archive/2008.php#id2008-12-08-1

Affected PHP version was never shipped in any Red Hat product version or Fedora.

Note You need to log in before you can comment on or make changes to this bug.